Subject: Ticket Assigned - Returns
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Fri, 15 Jul 2022 07:37:50 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns My last order, order no #9575917461
When I was purchasing it was showing same day delivery, and then I ended up getting it almost a week later., I tried to cancel but I couldn't as it was in process, so when the delivery guy called me to deliver I told him I didn't want it anymore so if I could return it, he accepted n did not come to deliver me. But in data it shows it has been delivered to me and so no refund received. Pls check and process my refund. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4619527